org.apache.ignite.internal.processors.rest.handlers.cache

## Class GridCacheRestResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.GridRestResponse
  - - org.apache.ignite.internal.processors.rest.handlers.cache.GridCacheRestResponse

All Implemented Interfaces:
  Externalizable, Serializable

    public class GridCacheRestResponse
    extends GridRestResponse

Adds affinity node ID to cache responses.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.rest.GridRestResponse

`STATUS_AUTH_FAILED, STATUS_FAILED, STATUS_SECURITY_CHECK_FAILED, STATUS_SUCCESS`

### Constructor Summary

Constructors
Constructor and Description
`GridCacheRestResponse()`

### Method Summary

Methods
`String` `getAffinityNodeId()`
`void` `readExternal(ObjectInput in)`
`void` `setAffinityNodeId(String affinityNodeId)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.internal.processors.rest.GridRestResponse

`getError, getResponse, getSessionToken, getSuccessStatus, sessionTokenBytes, sessionTokenBytes, setError, setResponse, setSessionToken`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheRestResponse

    public GridCacheRestResponse()

### Method Detail

#### getAffinityNodeId

    public String getAffinityNodeId()

Returns:
  Affinity node ID.

#### setAffinityNodeId

    public void setAffinityNodeId(String affinityNodeId)

Parameters:
  `affinityNodeId` - Affinity node ID.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridRestResponse`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `GridRestResponse`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `GridRestResponse`
Throws:
  `IOException`
  `ClassNotFoundException`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016